Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.ctmc
Class SimpleQueueSelector

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.ctmc.SimpleQueueSelector

All Implemented Interfaces:
  WaitingQueueSelector

    public class SimpleQueueSelector

extends Object
implements WaitingQueueSelector

Constructor Summary
`SimpleQueueSelector()`

Method Summary
`double[]` | `getRanks()` Returns an array giving the rank associated with each waiting queue by this waiting queue selector.
`int` | `selectWaitingQueue(CallCenterCTMC ctmc, int k, int tr)` Selects a waiting queue for the free agent, and returns the index of the selected queue.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleQueueSelector

    public SimpleQueueSelector()

Method Detail

### selectWaitingQueue

    public int selectWaitingQueue(CallCenterCTMC ctmc,
                                  int k,
                                  int tr)

  Description copied from interface: `WaitingQueueSelector`
  Selects a waiting queue for the free agent, and returns the index of the selected queue. If no waiting queue can be selected, this method returns a negative value.

  Specified by:
    `selectWaitingQueue` in interface `WaitingQueueSelector`
  Parameters:
    `ctmc` - the call center CTMC model.
    `tr` - the current transition number.
  Returns:
    the selected waiting queue.

### getRanks

    public double[] getRanks()

  Description copied from interface: `WaitingQueueSelector`
  Returns an array giving the rank associated with each waiting queue by this waiting queue selector.

  Specified by:
    `getRanks` in interface `WaitingQueueSelector`
  Returns:
    the array of ranks.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.